#[tokio::test]
async fn test_async() -> Result<(), Box<dyn std::error::Error>> {
    let resp = reqwest::get("https://httpbin.org/ip").await?
        .text().await?;
    println!("{:#?}", resp);
    Ok(())
}

pub fn test(uri: &str) -> Result<(), Box<dyn std::error::Error>> {
    let resp = reqwest::blocking::get(uri)?
        .text()?;
    println!("{:#?}", resp);
    Ok(())
}